Bigtop
  1. Bigtop
  2. BIGTOP-758

[Pig] Override hadoop-core and hadoop-test artifact versions only if Hadoop < 2.x

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.5.0
    • Component/s: None
    • Labels:
      None

      Description

      When specifying a nonrelease version of Hadoop >= 2.x, for example via GitHub tarball download, Ivy resolution for the Pig build will fail at some point during the build because hadoop-core and hadoop-test artifacts are not created or installed by the Hadoop build process.

      1. BIGTOP-758.patch
        0.9 kB
        Andrew Purtell

        Activity

        Andrew Purtell created issue -
        Hide
        Andrew Purtell added a comment -

        For example, in the attached patch I use a bash extension to variable substitution to test the prefix of the Hadoop version.

        Show
        Andrew Purtell added a comment - For example, in the attached patch I use a bash extension to variable substitution to test the prefix of the Hadoop version.
        Andrew Purtell made changes -
        Field Original Value New Value
        Attachment BIGTOP-758.patch [ 12550041 ]
        Andrew Purtell made changes -
        Description When specifying a nonrelease version of Hadoop >= 2.x, for example via GitHub tarball download, Ivy resolution will fail at some point during the build because hadoop-core and hadoop-test artifacts are not created or installed by the Hadoop build process. When specifying a nonrelease version of Hadoop >= 2.x, for example via GitHub tarball download, Ivy resolution for the Pig build will fail at some point during the build because hadoop-core and hadoop-test artifacts are not created or installed by the Hadoop build process.
        Andrew Purtell made changes -
        Summary Override hadoop-core and hadoop-test artifact versions only if Hadoop < 2.x [Pig] Override hadoop-core and hadoop-test artifact versions only if Hadoop < 2.x
        Hide
        Roman Shaposhnik added a comment -

        Same question as in BIGTOP-761 – I'm not sure I see why would we need to support Hadoop versions outside of the BOM.

        Show
        Roman Shaposhnik added a comment - Same question as in BIGTOP-761 – I'm not sure I see why would we need to support Hadoop versions outside of the BOM.
        Hide
        Andrew Purtell added a comment -

        Then I suggest just removing the override of hadoop-core and hadoop-test versions.

        Show
        Andrew Purtell added a comment - Then I suggest just removing the override of hadoop-core and hadoop-test versions.
        Hide
        Roman Shaposhnik added a comment -

        +1 on that part of the patch.

        Show
        Roman Shaposhnik added a comment - +1 on that part of the patch.
        Roman Shaposhnik made changes -
        Status Open [ 1 ] Resolved [ 5 ]
        Assignee Roman Shaposhnik [ rvs ]
        Fix Version/s 0.5.0 [ 12321865 ]
        Resolution Fixed [ 1 ]
        Roman Shaposhnik made changes -
        Status Resolved [ 5 ] Closed [ 6 ]
        Transition Time In Source Status Execution Times Last Executer Last Execution Date
        Open Open Resolved Resolved
        3d 3h 25m 1 Roman Shaposhnik 22/Oct/12 23:12
        Resolved Resolved Closed Closed
        242d 1h 42m 1 Roman Shaposhnik 22/Jun/13 00:55

          People

          • Assignee:
            Roman Shaposhnik
            Reporter:
            Andrew Purtell
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development